from sys import argv
from pkgcrap.list_update import main as update
from pkgcrap.list_update import maintlist as maintlist
from pkgcrap.outdated_check import main as outdated
from pkgcrap.forge_scan import main as forgescan
from pkgcrap.website import main as website

options = {
    'update': update,
    'outdated': outdated,
    'maintlist': maintlist,
    'forgescan': forgescan,
    'site': website,
}

def main():
    if len(argv) < 2 or argv[1] not in options:
        print('Usage: pkgcrap ('+'|'.join(options.keys())+')')
        exit(1)
    options.get(argv[1])(argv[2:])
